button:focus {
    outline: 2px solid orange !important;
    outline-offset: -2px !important;
}

button.loader-bubble-icon:focus {
    outline: none !important;
    border: 2px solid orange;
}

button.loader-helper-message-close-button:focus {
    outline: none !important;
    border: 2px solid orange;
}


.no-select {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.no-scroll {
    overflow: hidden !important;
}


.widget-loader-container {
    position: fixed;
    right: 35px;
    bottom: 35px;
    box-sizing: border-box;
    z-index: 9999999999;
}

    .widget-loader-container * {
        box-sizing: border-box;
        height: inherit;
    }

.loader-bubble-icon {
    border-radius: 50%;
    cursor: pointer;
    box-shadow: rgb(0 0 0 / 20%) 0px 0px 20px;
    outline: none;
    padding: 0;
    border: none;
    background-size: cover;
    background-repeat: no-repeat;
    width: 60px;
    height: 60px;
    position: absolute;
}

    .loader-bubble-icon img {
        width: 100%;
        height: 100%;
    }

.loader-bubble-wrapper {
    width: 60px;
    height: 60px;
}

.loader-helper-message-wrapper {
    width: 280px;
    position: relative;
    margin-bottom: 20px;
}

.loader-helper-message-text button {
    background: #fff;
    border-radius: 10px;
    border: none;
    box-shadow: 0px 0px 5px #545050;
    outline: none;
    cursor: pointer;
    font-size: 13px;
    padding: 0 24px;
}

.loader-helper-message-text {
    display: flex;
    justify-content: flex-end;
    padding-right: 0px;
}

.loader-helper-message-close-wrapper {
    position: absolute;
    width: 24px;
    height: 24px;
    right: 0px;
    top: -44px;
}

.loader-helper-message-close-button {
    padding: 0;
    border: none;
    border-radius: 50%;
    width: 100%;
    height: 100%;
    background-image: url("/widget/assets/images/close.png");
    background-size: 50%;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 9;
    cursor: pointer;
    box-shadow: 0px 0px 3px #000;
}

.loader-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-start;
}

#chatRedFrame {
    box-shadow: rgb(0 0 0 / 20%) 0px 0px 20px;
}

.frame-bot-wrapper-box {
    width: 370px;
    height: 580px;
}

.alert-enter {
    opacity: 0;
    transform: scale(0.9);
}

.alert-enter-active {
    opacity: 1;
    transform: translateX(0);
    transition: opacity 300ms, transform 300ms;
}

.alert-exit {
    opacity: 1;
}

.alert-exit-active {
    opacity: 0;
    transform: scale(0.9);
    transition: opacity 300ms, transform 300ms;
}

.widget-loader-container .loader-helper-message-text button p {
    color: #000;
    font-size: 13px;
    margin: 13px 0;
}

@media screen and (max-width: 500px) {
    .loader-helper-message-wrapper {
        display: none;
    }
}

.chatRedIframe {
    position: absolute;
}

.widget-loader-container-iframe {
    position: inherit !important;
    box-sizing: border-box;
    z-index: 9999999999;
    bottom: 0 !important;
    right: 0 !important;
}

.grip-icon {
    width: 25px;
    height: 38px;
    background: url("/widget/assets/images/grip-vertical-solid.png") no-repeat;
    background-size: cover;
    position: absolute;
    left: -28px;
    top: 50%;
    transform: translateY(-50%);
}

.loader-bubble-icon:hover .grip-icon {
    display: inline-block;
}
